Subject: [Paw] RAW it is

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 15 Apr 2019 12:55:02 +0000

Dear all:

There was a strong consensus for RAW. I consider the name adopted, and will work the next phase with the IESG secretary.

All the best,

Pascal

From: Pascal Thubert (pthubert)
Sent: vendredi 5 avril 2019 19:59
To: Prof. Diego Dujovne <[email-masked]>; Hesham ElBakoury <[email-masked]>
Cc: Lou Berger <[email-masked]>; [email-masked]; Venkatesan, Ganesh <[email-masked]>; Juliusz Chroboczek <[email-masked]>
Subject: RE: [Paw] Renaming: SPAWN vs. RAW

Votes are still open. Do we keep SPAWN or do we jump to RAW.
What does sound right, a SPAWN or a RAW Network?

All the best,

Pascal

From: Paw <[email-masked]<mailto:[email-masked]>> On Behalf Of Prof. Diego Dujovne
Sent: vendredi 5 avril 2019 13:51
To: Hesham ElBakoury <[email-masked]<mailto:[email-masked]>>
Cc: Pascal Thubert (pthubert) <[email-masked]<mailto:[email-masked]>>; Lou Berger <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Venkatesan, Ganesh <[email-masked]<mailto:[email-masked]>>; Juliusz Chroboczek <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Paw] Renaming

Pascal,
           Shall we split this e-mail between the renaming
topic and the reliability metrics discussion? I think both
items are really relevant to the group and deserve their
individual space.
Regards,

                             Diego Dujovne

Le ven. 5 avr. 2019 à 07:03, Hesham ElBakoury <[email-masked]<mailto:[email-masked]>> a écrit :

There is a good book on reliability by Michael Tortorella. The book is "Reliability, Maintainability, and Supportability: Best Practices for Systems Engineers". It is available from Wiley.

Hesham

-----Original Message-----
From: Paw [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Pascal Thubert (pthubert)
Sent: Friday, April 5, 2019 1:55 AM
To: Juliusz Chroboczek <[email-masked]<mailto:[email-masked]>>
Cc: Lou Berger <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Venkatesan, Ganesh <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Paw] Renaming

Hello Juliusz:

Actually the theoretical work has been done a while ago, as  a response to your question at the mike when I suggested you dig for MTBF or similar (MTTF, MTBE...). We tend to express a network form of MTBF in a number of 9s. Like five 9s would indicate that the Mean Successful Transmissions Between Errors is 99999. A number of use cases would thrive on 1% loss as long as losses are always well spaced so the missing points can be recovered. This can be true for an industrial control loop, and false for burning a master video. The N 9s are there to make the occurrence of P (say, 4) losses in a row very rare, like a probability of 1/10^(N*P). But the 9s are for unrelated errors and fail to convey a rare burst of errors with a common cause, which is what really hurts. These things happen on radios and that's why we are after diverse paths etc..

There's enough stats for is in https://ftp.automationdirect.com/pub/Product%20Reliability%20and%20MTBF.pdf to take us a long way. Our problem is to migrate the concept from a product to a sequence of nodes and then to more complex structures. This could be refined in an academic paper, I expect that'd be a great topic, and then an RFC would summarize that.

What I'd like to see is an informational RFC that presents wireless reliability in a way that can be consumed by the IETF members, and provides terminology that can be referred in our specs. You seemed curious about the topic; that's quality number one for achieving great results : )

All the best,

Pascal

More links:

http://www.bb-elec.com/Learning-Center/All-White-Papers/Fiber/MTBF,-MTTR,-MTTF,-FIT-Explanation-of-Terms/MTBF-MTTR-MTTF-FIT-10262012-pdf.pdf

https://books.google.nl/books?id=rNLSBQAAQBAJ&pg=PA171&lpg=PA171&dq=reliability+MTBF+MTBE+papers&source=bl&ots=L7BsInfaO3&sig=ACfU3U0kYd1lGRyRR_aD5AET9LOI8ZfZWg&hl=fr&sa=X&ved=2ahUKEwisr-LirLjhAhWPZ1AKHe8yARwQ6AEwA3oECAgQAQ

https://www.dfrsolutions.com/blog/the-challenges-of-wireless-reliability<https://www..dfrsolutions.com/blog/the-challenges-of-wireless-reliability>

> -----Original Message-----

> From: Juliusz Chroboczek <[email-masked]<mailto:[email-masked]>>

> Sent: vendredi 5 avril 2019 01:40

> To: Pascal Thubert (pthubert) <[email-masked]<mailto:[email-masked]>>

> Cc: Venkatesan, Ganesh <[email-masked]<mailto:[email-masked]>>; Lou Berger

> <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>

> Subject: Re: [Paw] Renaming

> > We'll also need to provide a definition of reliability and

> > availability and as we discussed, 5nines is probably not the only or

> > even best way to express any of that. Juliusz actually raised the

> > point and I hope he continues on that path and even produces a spec for us.

> I'm flattered you think so, but I'm pretty sure I'm not competent.

> You'd need someone with more of a background in probability and statistics.

> -- Juliusz

--

Paw mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf..org/mailman/listinfo/paw<https://www..ietf.org/mailman/listinfo/paw>
--
Paw mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/paw

--
DIEGO DUJOVNE
Profesor Asociado
Escuela de Informática y Telecomunicaciones
Facultad de Ingeniería - Universidad Diego Portales - Chile
www.ingenieria.udp.cl<http://www.ingenieria.udp.cl>
(56 2) 676 8125